@charset "UTF-8";

html {
	scroll-behavior: smooth;
}

[id] {
	scroll-margin-top: 180px;
}

.page-mv {
	position: relative;
	aspect-ratio: 1920 / 770;
	width: 100%;
	height: auto;
	padding-top: clamp(160px, 13.5417vw, 260px);
	z-index: 2;

	&::before {
		content: "";
		position: absolute;
		top: 0;
		left: 0;
		right: 0;
		bottom: -100vh;
		background-image: url("../img/common/mv_bg.png");
		background-size: 66%;
		background-position: left top;
		background-repeat: no-repeat;
	}
}

.mv__content {
	position: relative;
	z-index: 100;

	width: 100%;
	padding-inline: 95px;
	margin-inline: auto;
	color: var(--white);
}

@media only screen and (max-width: 1340px) {
	.mv__content {
		padding-inline: 40px;
	}
}

.c-heading {
	width: 100%;
	display: flex;
	flex-direction: column;
	gap: 3rem;
}

.c-heading__ja {
	display: flex;
	align-items: center;
	gap: 0.52em;
	font-size: clamp(1.5rem, calc(0.5833rem + 1.9097vw), 2.875rem);
	line-height: 1;

	padding-left: 20px;

	&::before {
		content: "";
		width: 0.85em;
		height: 0.85em;
		background: var(--white);
		border-radius: 100%;
		translate: 0 4px;
	}
}

.c-heading__en {
	font-family: "Google Sans", sans-serif;
	font-size: clamp(6rem, calc(-0.75rem + 14.0625vw), 13.75rem);
	font-weight: bold;
	line-height: 1;
}

.page-tag {
	position: absolute;
	top: clamp(180px, 11.4583vw, 220px);
	right: 0;
	font-family: "Google Sans", sans-serif;
	font-size: 2.1875rem;
	line-height: 1;
	font-weight: bold;
	display: inline-block;
	transform: rotate(90deg) translateY(-150px);
}

@media (min-width: 1730px) {
	.page-tag {
		right: calc((100vw - 1730px) / 2);
		transform: rotate(90deg) translateY(-155px);
	}
}

@media only screen and (max-width: 768px) {
	.page-mv {
		aspect-ratio: 768 / 445;
		padding-top: clamp(120px, 27.34375vw, 210px);

		&::before {
			background-image: url("../img/common/mv_bg-sp.png");
			background-size: 96%;
		}
	}

	.mv__content {
		padding-inline: min(5.208vw, 2.5rem);
	}

	.c-heading {
		gap: 0.5rem;
	}

	.c-heading__ja {

		font-size: clamp(0.9rem, 3.52vw, 1.6875rem);

		padding-left: 5px;
	}

	.c-heading__en {
		font-size: clamp(2.5rem, 13.17vw, 6.1875rem);
	}

	.page-tag {
		top: 30px;
		right: 90px;
		font-size: 0.9rem;
	}
}

.career__three {
	margin-block: 6.75rem;
}

.career__story1, .career__story2 {
	margin-bottom: 6.75rem;

	.section__image {
		margin: 4rem auto 0;
	}
}

h3.div-heading__title {
	font-size: 2.25rem;
	line-height: 1.5;
	color: var(--p_blue);
	margin-block: 0 4rem;

	&.heading--bar {
		font-size: 2.25rem;
		line-height: 1;
		color: var(--p_blue);
		margin-block: 3.25rem 3rem;
		display: flex;
		align-items: center;
		gap: 0.33em;
		font-weight: 400;

		&::before {
			content: "";
			width: 0.194em;
			height: 1.28em;
			background-image: url("../assets/img/common/h-icon.png");
			background-size: contain;
			background-repeat: no-repeat;
			background-position: center;
			flex-shrink: 0;
		}
	}
}

.div-heading__sub {
	font-family: "Google Sans", sans-serif;
	font-size: 1.16rem;
	font-weight: bold;
	line-height: 1.2;
	background-image: url("../img/common/grada_bg-s.png");
	background-size: 50%;
	background-position: 62% 52%;
	color: transparent;
	-webkit-text-fill-color: transparent;
	-webkit-background-clip: text;
	background-clip: text;

	.career__group--work & {
		max-width: 91px;
		width: auto;
	}

	.career__group--balance & {
		max-width: 139px;
		width: auto;
	}

	.career__group--support & {
		max-width: 165px;
		width: auto;
	}
}

h4.div-heading__title {
	font-size: 1.75rem;
	line-height: 1.7;
	color: var(--p_blue);
	margin-bottom: 0.5rem;
	font-weight: 400;
}

.section__text {
	font-size: 1.25rem;
	line-height: 3rem;

	span {
		color: #E65B01;
	}
}

.section__text--large {
	font-size: 1.5rem;
}

.career-section .section__image {
	margin: 4rem auto;
}

.section__image img {
	max-width: 1082px;
}

.c-image-button {
	background-image: url("../img/top/grada_bg.png");
	background-size: cover;
	background-position: 75% 75%;
	background-repeat: no-repeat;
	border-radius: 100vmax;
	max-width: 33rem;
	min-height: 7.125rem;
	color: var(--white);
	cursor: pointer;
	display: flex;
	align-items: center;
	justify-content: center;
	position: relative;
	margin-inline: auto;
	transition: background-color 0.3s;

	svg {
		position: absolute;
		right: 40px;
		width: 2rem;
		height: 2rem;
	}

	&:hover {
		opacity: 1;
		background-image: none;
		background-color: var(--p_blue);
	}
}

.c-image-button__text {
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 4px;
}

.c-image-button__text--large {
	font-size: 1.75rem;
}

.c-image-button__text--small {
	font-size: 1.25rem;
}

@media only screen and (max-width: 768px) {
	.career__three {
		margin-block: 3.75rem;
	}

	.career__story1, .career__story2 {
		margin-bottom: 3.75rem;
	}

	h3.div-heading__title {
		font-size: clamp(1.25rem, 3.39vw, 2.25rem);
		margin-block: 0 3rem;

		&.heading--bar {
			font-size: clamp(1.25rem, 3.39vw, 2.25rem);
		}
	}

	.div-heading__sub {
		font-size: clamp(0.9rem, 2.42vw, 1.16rem);
	}

	h4.div-heading__title {
		font-size: clamp(1rem, 2.28vw, 1.75rem);
	}

	.section__text {
		font-size: clamp(0.8rem, 2.21vw, 1.25rem);
		line-height: 1.7;
	}

	.section__text--large {
		font-size: clamp(0.875rem, 3.5vw, 1.75rem);
	}

	.section__image {
		margin: 4rem auto 3.75rem;
	}

	.c-image-button {
		width: stretch;
		min-height: clamp(5rem, 14.3229vw, 6.875rem);

		svg {
			right: 10px;
			width: 1rem;
			height: 1rem;
		}
	}

	.c-image-button__text--large {
		font-size: clamp(1rem, 3.91vw, 1.75rem);
	}

	.c-image-button__text--small {
		font-size: clamp(0.8rem, 2.21vw, 1.25rem);
	}
}

.reveal-h2 {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	gap: 10px;
	margin-block: 1rem 3.5rem;
	font-size: clamp(2.2rem, 4.583vw, 2.875rem);

	line-height: 1;
}

.reveal-row {
	position: relative;
	display: inline-block;
	padding: 0.5rem 0.2rem;
	overflow: hidden;
}

.reveal-bg {
	position: absolute;
	inset: 0;
	display: block;
	width: 0%;
	transform-origin: left center;
	background-image: url('../img/top/grada_bg.png');
	background-size: cover;
	background-position: left 25%;
	z-index: 0;
}

.reveal-overlay {
	position: absolute;
	inset: 0;
	display: block;

	z-index: 1;
}

.reveal-text {
	position: relative;
	display: block;
	z-index: 2;
	padding-right: 20px;
	color: transparent;
	transition: color 0.3s ease 0.2s;
	white-space: nowrap;
	position: relative;
	display: block;
	z-index: 2;
	color: var(--white);
    transition: color 0.3s ease 0.2s;
	white-space: nowrap;
	font-weight: 400;
}

@media only screen and (max-width: 768px) {
	.reveal-h2 {
		gap: 4px;
		margin-block: 0.8rem 6rem;
		font-size: clamp(1rem, 5.47vw, 2.625rem);
	}
}

.three-flex {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	gap: 80px;
}

.three-flex__item {
	display: flex;
	flex-direction: column;
	align-items: center;
}

.three-flex__number {
	font-family: "Google Sans", sans-serif;
	font-size: 1.5rem;
	font-weight: bold;
	line-height: 1;
	background-image: url("../img/common/grada_bg-s.png");
	background-size: 50%;
	background-position: center 70%;
	color: transparent;
	-webkit-text-fill-color: transparent;
	-webkit-background-clip: text;
	background-clip: text;
	width: 100%;
	text-align: left;
}

.three-flex__title {
	font-size: 1.75rem;
	color: var(--p_blue);
	width: 100%;
	text-align: left;
}

.three-flex__img {
	margin-block: 0.5rem 1rem;

	img {
		max-width: 442px;
		width: 100%;
	}
}

.three-flex__link {
	font-family: "Google Sans", sans-serif;
	display: inline-flex;
	align-items: center;
	gap: 20px;
	font-size: 1.375rem;
	font-weight: bold;
	line-height: 1;
	color: #E65B01;

	svg {
		flex-shrink: 0;
	}
}

@media only screen and (max-width: 768px) {
	.three-flex {
		grid-template-columns: repeat(2, 1fr);
		gap: 60px clamp(10px, 5.2vw, 40px);
	}

	.three-flex__number {
		font-size: 1.125rem;
	}

	.three-flex__title {
		font-size: clamp(1.25rem, 2.86vw, 2rem);
	}

	.three-flex__link {
		gap: 20px;
		font-size: clamp(1.25rem, 2.86vw, 2rem);
	}
}

.career__discretion {
	margin-bottom: 12rem;

	.c-frame {
		position: relative;
		width: 100%;
		border: 1px solid #3A3A3A;
		padding: 3rem 2rem;

		&::before {
			content: "";
			position: absolute;
			top: -1px;
			left: -1px;
			width: 79px;
			height: 79px;
			background: url("../img/common/corner.png") no-repeat;
			background-size: contain;
		}
	}
}

.discretion-flex {
	display: flex;
	gap: 80px;
	justify-content: space-between;
	margin-top: 2.5rem;

	&.discretion-item--card {
		gap: 40px;
		margin-top: 3rem;
	}
}

.discretion-flex__item {
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 16px;

	.discretion-item--card & {
		padding: 0.5rem 2.5rem 3.5rem;
		box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16);
	}
}

.discretion-flex__title {
	font-size: 1.5rem;
	color: var(--p_blue);
}

.discretion-flex__img figure {
	margin-inline: auto;
	text-align: center;
}

.discretion-flex__img img {
	max-width: 198px;
	width: 100%;
	margin-inline: auto;
}

.discretion-item--card .discretion-flex__img {
	margin-block: 2rem 0.5rem;

	img {
		max-width: 256px;
		width: 100%;
		margin-inline: auto;
	}
}

.discretion-flex__text {
	font-size: 1.25rem;
	line-height: 1.8;
	width: 100%;
	text-align: left;
}

@media only screen and (max-width: 768px) {
	.career__discretion {
		margin-bottom: 9rem;

		.c-frame {
			padding: 3rem 1rem;
		}
	}

	.discretion-flex {
		flex-direction: column;
		gap: 100px;
		justify-content: center;

		&.discretion-item--card {
			margin-top: 2.5rem;
		}
	}

	.discretion-item--card .discretion-flex__item {
		padding: 0.5rem 1rem 3.5rem;
	}

	.discretion-flex__title {
		font-size: clamp(1.25rem, 2.86vw, 2rem);
	}

	.discretion-item--card .discretion-flex__img img {
		width: 60%;
	}

	.discretion-flex__text {
		font-size: clamp(0.8rem, 2.21vw, 1.25rem);
		line-height: 1.7;
	}
}

.career__design {
	margin-bottom: 12rem;
}

.design-flex {
	display: flex;
	justify-content: space-between;
	gap: 40px;
	margin-top: 3rem;
}

.design-flex__item {
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 45px;
	padding: 0.5rem 2.5rem 8.5rem;
	box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16);
}

.design-flex__title {
	font-size: 1.5rem;
	color: var(--p_blue);
}

.design-flex__img {
	text-align: center;
	margin-inline: auto;

	img {
		max-width: 256px;
		width: 100%;
	}
}

.design-flex__text {
	font-size: 1.25rem;
	line-height: 1.8;
	width: 100%;
	text-align: left;
}

@media only screen and (max-width: 768px) {
	.career__design {
		margin-bottom: 9rem;
	}

	.design-flex {
		flex-direction: column;
		gap: 40px;
		justify-content: center;
	}

	.design-flex__item {
		padding: 0.5rem 1rem 4rem;
	}

	.design-flex__title {
		font-size: clamp(1.25rem, 2.86vw, 2rem);
	}

	.design-flex__img img {
		width: 60%;
	}

	.design-flex__text {
		font-size: clamp(0.8rem, 2.21vw, 1.25rem);
		line-height: 1.7;
	}
}

.career__challenge {
	margin-bottom: 2rem;
	h4.div-heading__title {
		margin-top: 6rem;
	}
}

.challenge-grid {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	gap: 20px;
	margin-block: 4.5rem 6rem;
}

.challenge-grid__item {
	display: grid;
	grid-template-rows: subgrid;
	grid-row: span 3;
	align-items: start;
	justify-items: center;
	padding: 0.5rem 2rem 2.5rem;
	box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16);
}

.challenge-grid__title {
	font-size: 1.5rem;
	color: var(--p_blue);
}

.challenge-grid__img img {
	max-width: 228px;
	width: 100%;
}

.challenge-grid__text {
	font-size: 1.25rem;
	line-height: 1.8;
	width: 100%;
	text-align: left;
}

@media only screen and (max-width: 768px) {
	.challenge-grid {
		grid-template-columns: repeat(2, 1fr);
		gap: 20px 10px;
		margin-block: 4.5rem 6rem;
	}

	.challenge-grid__item {

		padding: 0.5rem 1rem 2.5rem;
	}

	.challenge-grid__title {
		font-size: clamp(1.25rem, 2.86vw, 2rem);
	}

	.challenge-grid__text {
		font-size: clamp(0.8rem, 2.21vw, 1.25rem);
		line-height: 1.;
	}
}

.career__program.c-frame {
	position: relative;
	width: 100%;
	border: 1px solid #3A3A3A;
	padding: 1.5rem 5rem 3rem;
	margin-bottom: 5rem;

	&::before {
		content: "";
		position: absolute;
		top: -1px;
		left: -1px;
		width: 79px;
		height: 79px;
		background: url("../img/common/corner.png") no-repeat;
		background-size: contain;
	}
}

.career__program h4.div-heading__title {
	font-size: 1.5rem;
	margin-block: 0 2.5rem;
}

.program-grid {
	display: grid;
	grid-template-columns: 1fr;
	gap: 50px;
}

.program-grid__item {
	display: grid;
	grid-template-columns: 102px 1fr;
	gap: 36px;
	align-items: center;
}

.program-grid__image img {
	width: 100%;
}

.program-grid__title {
	font-size: 1.5rem;
	line-height: 1;
	color: var(--p_blue);
	margin-bottom: 1.5rem;
}

.program-grid__text {
	font-size: 1.25rem;
}

@media only screen and (max-width: 768px) {
	.career__program.c-frame {
		padding: 1.5rem 1rem 3rem;
		margin-bottom: 5rem;
	}

	.career__program h4.div-heading__title {
		font-size: clamp(1.25rem, 2.86vw, 2rem);
		margin-block: 0 2.5rem;
		text-align: center;
	}

	.program-grid {
		justify-items: center;
		gap: 100px;
	}

	.program-grid__item {
		grid-template-columns: 1fr;
		justify-items: center;
		gap: 10px;
	}

	.program-grid__image {
		text-align: center;

		img {
			width: 60%;
		}
	}

	.program-grid__title {
		font-size: clamp(1.25rem, 2.86vw, 2rem);
		text-align: center;
		margin-bottom: 1rem;
	}

	.program-grid__text {
		font-size: clamp(0.8rem, 2.21vw, 1.25rem);
		line-height: 1.7;
	}
}

